# Interface NetworkingManager

interface NetworkingManager {
addRequestInterceptor(type, requestInterceptor): boolean;
addResponseInterceptor(type, responseInterceptor): boolean;
clearAllInterceptors(): boolean;
clearAllRequestInterceptors(): boolean;
clearAllResponseInterceptors(): boolean;
clearRequestInterceptorsByType(type): boolean;
clearResponseInterceptorsByType(type): boolean;
dispose(): void;
removeRequestInterceptor(type, requestInterceptor): boolean;
removeResponseInterceptor(type, responseInterceptor): boolean;
updateConfiguration(configuration, prev): void;
}

#####
Index

### Methods

addRequestInterceptor
addResponseInterceptor
clearAllInterceptors
clearAllRequestInterceptors
clearAllResponseInterceptors
clearRequestInterceptorsByType
clearResponseInterceptorsByType
dispose
removeRequestInterceptor
removeResponseInterceptor
updateConfiguration

## Methods

### addRequestInterceptor

- addRequestInterceptor(type, requestInterceptor): boolean

- #### Parameters

  - type: RequestType
  - requestInterceptor: RequestInterceptor

  #### Returns boolean

### addResponseInterceptor

- addResponseInterceptor(type, responseInterceptor): boolean

- #### Parameters

  - type: RequestType
  - responseInterceptor: ResponseInterceptor

  #### Returns boolean

### clearAllInterceptors

- clearAllInterceptors(): boolean

- #### Returns boolean

### clearAllRequestInterceptors

- clearAllRequestInterceptors(): boolean

- #### Returns boolean

### clearAllResponseInterceptors

- clearAllResponseInterceptors(): boolean

- #### Returns boolean

### clearRequestInterceptorsByType

- clearRequestInterceptorsByType(type): boolean

- #### Parameters

  - type: RequestType

  #### Returns boolean

### clearResponseInterceptorsByType

- clearResponseInterceptorsByType(type): boolean

- #### Parameters

  - type: RequestType

  #### Returns boolean

### dispose

- dispose(): void

- #### Returns void

### removeRequestInterceptor

- removeRequestInterceptor(type, requestInterceptor): boolean

- #### Parameters

  - type: RequestType
  - requestInterceptor: RequestInterceptor

  #### Returns boolean

### removeResponseInterceptor

- removeResponseInterceptor(type, responseInterceptor): boolean

- #### Parameters

  - type: RequestType
  - responseInterceptor: ResponseInterceptor

  #### Returns boolean

### updateConfiguration

- updateConfiguration(configuration, prev): void

- #### Parameters

  - configuration: PlayerNetworkConfiguration
  - prev: PlayerNetworkConfiguration

  #### Returns void